package com.zm.order.tool.server.model;

import com.alibaba.fastjson.JSON;

import java.util.Date;


/**
 * 订单商品评论统计表
 *
 * @author zhuxiaofeng
 */
public class OrderItemCommentCount {

    /**
	 * 主键
	 */
	private Long id;

	/**
	 * 商家id
	 */
	private Long sellerId;

	/**
	 * 门店id
	 */
	private Long storeId;

	/**
	 * 商品id
	 */
	private Long goodsId;

	/**
	 * skuId
	 */
	private String itemId;

	/**
	 * 评论统计
	 */
	private Integer commentCount;

	/**
	 * 1分统计
	 */
	private Integer score1Count;

	/**
	 * 2分统计
	 */
	private Integer score2Count;

	/**
	 * 3分统计
	 */
	private Integer score3Count;

	/**
	 * 4分统计
	 */
	private Integer score4Count;

	/**
	 * 5分统计
	 */
	private Integer score5Count;

	/**
	 * 商家回复统计
	 */
	private Integer replyCount;

	/**
	 * 精选统计
	 */
	private Integer qualityCount;

	/**
	 * 有图统计
	 */
	private Integer imageCount;

	/**
	 * 匿名统计
	 */
	private Integer anonymousCount;

	/**
	 * 版本号
	 */
	private Integer version;

	/**
	 * 创建时间
	 */
	private Date createdAt;

	/**
	 * 修改时间
	 */
	private Date updatedAt;

	/**
	 * 删除标识
	 */
	private Integer isDeleted;

	public void init() {
        this.commentCount = 0;
        this.score1Count = 0;
        this.score2Count = 0;
        this.score3Count = 0;
        this.score4Count = 0;
        this.score5Count = 0;
        this.imageCount = 0;
        this.qualityCount = 0;
        this.replyCount = 0;
        this.anonymousCount = 0;
    }

	public Long getId() {
		return id;
	}

	public void setId(Long id) {
		this.id = id;
	}

	public Long getSellerId() {
		return sellerId;
	}

	public void setSellerId(Long sellerId) {
		this.sellerId = sellerId;
	}

	public Long getStoreId() {
		return storeId;
	}

	public void setStoreId(Long storeId) {
		this.storeId = storeId;
	}

	public Long getGoodsId() {
		return goodsId;
	}

	public void setGoodsId(Long goodsId) {
		this.goodsId = goodsId;
	}

	public String getItemId() {
		return itemId;
	}

	public void setItemId(String itemId) {
		this.itemId = itemId;
	}

	public Integer getCommentCount() {
		return commentCount;
	}

	public void setCommentCount(Integer commentCount) {
		this.commentCount = commentCount;
	}

	public Integer getScore1Count() {
		return score1Count;
	}

	public void setScore1Count(Integer score1Count) {
		this.score1Count = score1Count;
	}

	public Integer getScore2Count() {
		return score2Count;
	}

	public void setScore2Count(Integer score2Count) {
		this.score2Count = score2Count;
	}

	public Integer getScore3Count() {
		return score3Count;
	}

	public void setScore3Count(Integer score3Count) {
		this.score3Count = score3Count;
	}

	public Integer getScore4Count() {
		return score4Count;
	}

	public void setScore4Count(Integer score4Count) {
		this.score4Count = score4Count;
	}

	public Integer getScore5Count() {
		return score5Count;
	}

	public void setScore5Count(Integer score5Count) {
		this.score5Count = score5Count;
	}

	public Integer getReplyCount() {
		return replyCount;
	}

	public void setReplyCount(Integer replyCount) {
		this.replyCount = replyCount;
	}

	public Integer getQualityCount() {
		return qualityCount;
	}

	public void setQualityCount(Integer qualityCount) {
		this.qualityCount = qualityCount;
	}

	public Integer getImageCount() {
		return imageCount;
	}

	public void setImageCount(Integer imageCount) {
		this.imageCount = imageCount;
	}

	public Integer getAnonymousCount() {
		return anonymousCount;
	}

	public void setAnonymousCount(Integer anonymousCount) {
		this.anonymousCount = anonymousCount;
	}

	public Integer getVersion() {
		return version;
	}

	public void setVersion(Integer version) {
		this.version = version;
	}

	public Date getCreatedAt() {
		return createdAt;
	}

	public void setCreatedAt(Date createdAt) {
		this.createdAt = createdAt;
	}

	public Date getUpdatedAt() {
		return updatedAt;
	}

	public void setUpdatedAt(Date updatedAt) {
		this.updatedAt = updatedAt;
	}

	public Integer getIsDeleted() {
		return isDeleted;
	}

	public void setIsDeleted(Integer isDeleted) {
		this.isDeleted = isDeleted;
	}

	@Override
    public String toString() {
        return JSON.toJSONString(this);
    }

}
